ESP(4)

NAME
esp - Emulex ESP, NCR 53C9x and QLogic FAS families based SCSI controllers

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device scbus
device esp

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_esp_load="YES"

DESCRIPTION
The esp driver provides support for the AMD Am53C974, the Emulex ESP100, ESP100A, ESP200 and ESP406, the NCR 53C90, 53C94 and 53C96 as well as the QLogic FAS100A, FAS216, FAS366 and FAS408 SCSI controller chips found in a wide variety of systems and peripheral boards.

HARDWARE
Controllers supported by the esp driver include:

•   MELCO IFC-DP (PC-98)
•   Sun ESP family
•   Sun FAS family
•   Tekram DC390
•   Tekram DC390T

SEE ALSO
cd(4), ch(4), da(4), intro(4), pci(4), sa(4), sbus(4), scsi(4), camcontrol(8)

HISTORY
The esp driver first appeared in NetBSD 1.3. The first FreeBSD version to include it was FreeBSD 5.3.

AUTHORS
-nosplit The esp driver was ported to FreeBSD by Scott Long <scottl@FreeBSD.org> and later on considerably improved by Marius Strobl <marius@FreeBSD.org>.

BUGS
The esp driver should read the EEPROM settings of Tekram controllers.